import {
	createBrowserRouter,
	Link,
} from "react-router-dom";
import ErrorPage from "../app/error";
import LoginPage from "../app/login";
import { adminRoute } from "./admin-route";
import { CustomRouteObject } from "./types";
import { MainRoute } from "./main-route";

export const routes: CustomRouteObject[] = [
	{
		path: "/",
		errorElement: <ErrorPage />,
		handle: {
			crumb() {
				return <Link to={"/"}>主页</Link>;
			},
		},
		children: [
			MainRoute,
			adminRoute,
		],
	},
	{
		path: "/login",
		element: <LoginPage></LoginPage>,
	},
];

export const router = createBrowserRouter(routes);
