export enum SocketMsgType {
	NOTIFY,
}
export enum PostType {
	POST = "post",
	POST_COMMENT = "post_comment",
	
}

export enum TaxonomySlug {
	CATEGORY = "category",
	TAG = "tag",
}
export enum VisitType {
	STAR = "star",
	READED = "read",
	LIKE = "like",
	HATE = "hate",
}

export enum StorageProvider {
	LOCAL = "LOCAL",
	S3 = "S3",
	OSS = "OSS",
	COS = "COS",
	CDN = "CDN",
}

export enum ResourceStatus {
	UPLOADING = "UPLOADING",
	UPLOADED = "UPLOADED",
	PROCESS_PENDING = "PROCESS_PENDING",
	PROCESSING = "PROCESSING",
	PROCESSED = "PROCESSED",
	PROCESS_FAILED = "PROCESS_FAILED",
}
export enum ObjectType {
	DEPARTMENT = "department",
	STAFF = "staff",
	COMMENT = "comment",
	TERM = "term",
	APP_CONFIG = "app_config",
	ROLE = "role",
	ROLE_MAP = "rolemap",
	MESSAGE = "message",
	POST = "post",
	VISIT = "visit",
	RESOURCE = "resource",
}
export enum RolePerms {
	// Create Permissions 创建权限
	CREATE_ALERT = "CREATE_ALERT", // 创建警报
	CREATE_INSTRUCTION = "CREATE_INSTRUCTION", // 创建指令
	CREATE_TROUBLE = "CREATE_TROUBLE", // 创建问题
	CREATE_WORKPROGRESS = "CREATE_WORKPROGRESS", // 创建工作进度
	CREATE_ASSESSMENT = "CREATE_ASSESSMENT", // 创建评估
	CREATE_TERM = "CREATE_TERM", // 创建术语
	// Read Permissions 读取权限
	READ_ANY_TROUBLE = "READ_ANY_TROUBLE", // 读取任何问题
	READ_DOM_TROUBLE = "READ_DOM_TROUBLE", // 读取领域问题
	READ_AUDIT_TROUBLE = "READ_AUDIT_TROUBLE",
	READ_ANY_CHART = "READ_ANY_CHART", // 读取任何图表
	READ_DOM_CHART = "READ_DOM_CHART", // 读取领域图表
	READ_ANY_ASSESSMENT = "READ_ANY_ASSESSMENT", // 读取任何评估
	READ_DOM_ASSESSMENT = "READ_DOM_ASSESSMENT", // 读取领域评估
	READ_ANY_TERM = "READ_ANY_TERM", // 读取任何术语
	READ_DOM_TERM = "READ_DOM_TERM", // 读取领域术语

	READ_ANY_POST = "READ_ANY_POST", // 读取任何问题
	READ_DOM_POST = "READ_DOM_POST", // 读取领域问题

	MANAGE_ANY_POST = "MANAGE_ANY_POST",
	MANAGE_DOM_POST = "MANAGE_DOM_POST",
	MANAGE_ANY_TROUBLE = "MANAGE_ANY_TROUBLE",
	MANAGE_DOM_TROUBLE = "MANAGE_DOM_TROUBLE",

	MANAGE_DOM_TERM = "MANAGE_DOM_TERM",
	MANAGE_ANY_TERM = "MANAGE_ANY_TERM",
	MANAGE_BASE_SETTING = "MANAGE_BASE_SETTING",
	// Staff and Department Permissions
	MANAGE_ANY_STAFF = "MANAGE_ANY_STAFF",
	MANAGE_DOM_STAFF = "MANAGE_DOM_STAFF",
	MANAGE_ANY_DEPT = "MANAGE_ANY_DEPT",
	MANAGE_DOM_DEPT = "MANAGE_DOM_DEPT",
	// Role Permissions
	MANAGE_ANY_ROLE = "MANAGE_ANY_ROLE",
	MANAGE_DOM_ROLE = "MANAGE_DOM_ROLE",
}
export enum AppConfigSlug {
	BASE_SETTING = "base_setting",
}
// 资源类型的枚举，定义了不同类型的资源，以字符串值表示
export enum ResourceType {
	VIDEO = "video", // 视频资源
	PDF = "pdf", // PDF文档
	DOC = "doc", // Word文档
	EXCEL = "excel", // Excel表格
	PPT = "ppt", // PowerPoint演示文稿
	CODE = "code", // 代码文件
	LINK = "link", // 超链接
	IMAGE = "image", // 图片资源
	AUDIO = "audio", // 音频资源
	ZIP = "zip", // 压缩包文件
	OTHER = "other", // 其他未分类资源
}



export const ResourceTypeLabel = {
	[ResourceType.VIDEO]: "视频",
	[ResourceType.PDF]: "PDF文档",
	[ResourceType.DOC]: "Word文档",
	[ResourceType.EXCEL]: "Excel表格",
	[ResourceType.PPT]: "PPT演示文稿",
	[ResourceType.CODE]: "代码文件",
	[ResourceType.LINK]: "链接",
	[ResourceType.IMAGE]: "图片",
	[ResourceType.AUDIO]: "音频",
	[ResourceType.ZIP]: "压缩包",
	[ResourceType.OTHER]: "其他",
};
